Bug 492868 - Xen guest kernel advertises absolute mouse pointer feature which it is incapable of setting up correctly
Summary: Xen guest kernel advertises absolute mouse pointer feature which it is incap...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel-xen
Version: 4.9
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Andrew Jones
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 458302
TreeView+ depends on / blocked
 
Reported: 2009-03-30 13:35 UTC by Daniel Berrangé
Modified: 2016-04-26 16:39 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 492866
Environment:
Last Closed: 2011-02-16 16:03:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch to change PVFB not to select abs. pointer (2.89 KB, patch)
2009-07-31 15:08 UTC, Andrew Jones
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0263 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 4.9 kernel security and bug fix update 2011-02-16 15:14:55 UTC

Description Daniel Berrangé 2009-03-30 13:35:13 UTC
+++ This bug was initially created as a clone of Bug #492866 +++

Description of problem:
The PVFB graphics driver includes a paravirt mouse input device. When talking to the host OS over xenbus, it advertises that it supports absolute coordinate mode. RHEL-5 userspace is incapable of actually running the mouse in absolute mode by default though, so out of the box the guest OS is doing abs -> rel coordinate conversion.  This in turn causes problems for anyone connecting to the guest OS using the VNC server in the host OS because their mouse pointer will likely hit an invisible wall.

The absolute mouse coordinate feature should be disabled by default in RHEL-5 guest kernels. A boot parameter, or other tunable should be provided to allow absolute mode to be re-enabled  if the admin has manually configured an xorg.conf that supports it.

Version-Release number of selected component (if applicable):
kernel-xen-2.6.18-128.el5

How reproducible:
Always

Steps to Reproduce:
1. Boot RHEL-5 guest
2. On host run xenstore-ls /local/domain/0/backend/vkbd
3.
  
Actual results:
  feature-abs-pointer = "1"


Expected results:
  feature-abs-pointer = "0"


Additional info:

Comment 1 Markus Armbruster 2009-04-16 18:03:43 UTC
Patch for RHEL-5 applies fine.

Comment 2 Andrew Jones 2009-07-31 15:08:26 UTC
Created attachment 355824 [details]
Patch to change PVFB not to select abs. pointer

Attached backported patch.

Comment 4 Vivek Goyal 2009-08-25 19:23:07 UTC
Committed in 89.11.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/

Comment 6 Binbin Yu 2010-12-20 07:19:53 UTC
Verification failed on,
host: rhel5.5-i386
kernel-xen-2.6.18-233.el5
xen-3.0.3-120.el5
guest: rhel4.8 i386 pv, with kernel updated to 89.32.EL


Steps to Reproduce:
1. Boot RHEL-4.8 PV guest, and update the guest kernel to 89.32.EL
2. Restart the guest
3. On host run xenstore-ls /local/domain/0/backend/vkbd


Actual results:
  feature-abs-pointer = "1"


Expected results:
  feature-abs-pointer = "0"


Additional info:
1. On the same environment, I start a rhel5u5-32-pv guest and run the same command, also feature-abs-pointer = "1"

Comment 7 Binbin Yu 2010-12-20 07:43:18 UTC
Additional info:
2. On the same environment, I even update the rhel4.8 guest' kernel to 93.EL, and also get feature-abs-pointer = "1".
3. On the same environment, I even update the rhel5.5 guest kernel-xen to kernel-xen-2.6.18-233, also feature-abs-pointer = "1".

Comment 8 Binbin Yu 2010-12-22 02:13:21 UTC
Hi, Andrew, do you think this bug has been patched and fixed in rhel4.9(93.EL) ?

Comment 9 Paolo Bonzini 2010-12-22 09:51:34 UTC
Hi Binbin, you need to search for "request-abs-pointer".  It should be "1" without the patch and "0" or absent with the patch.  See bug 492866 comment #11.

Comment 10 Paolo Bonzini 2010-12-22 09:56:00 UTC
(See also bug 492866 comment #1 which explains that the original description of the bug was not accurate):

> Xenstore node /local/domain/0/backend/vkbd shows whether the backend (host)
> offered the feature.  To see whether the frontend (guest) accepted it, which is
> what you want here, you run
> 
> # xenstore-read /local/domain/$DOMID/device/vkbd/0/request-abs-pointer

Comment 11 Binbin Yu 2010-12-23 05:11:44 UTC
test steps:
host: rhel5.5-i386 and x86_64
kernel-xen-2.6.18-231.el5
xen-3.0.3-120.el5
guest: rhel4.9 pv (by updating rhel4.8 guest kernel to 93.ELxenU)

1. Boot RHEL-4.8 PV guest, and update the guest kernel to 93.ELxenU, reboot
2. create the rhel4.9 pv guest
3. On host run xenstore-read /local/domain/$guestid/device/vkbd/0/request-abs-pointer


Reproduce on rhel4.8 pv guest with kernel 89.ELxenU:
[HOST]# xenstore-read /local/domain/1/device/vkbd/0/request-abs-pointer
1


Verified on rhel4.9 pv guest with kernel 93.ELxenU:
[host]# xenstore-read /local/domain/3/device/vkbd/0/request-abs-pointer
xenstore-read: couldn't read path /local/domain/3/device/vkbd/0/request-abs-pointer


So set this bug be VERIFIED

Comment 12 errata-xmlrpc 2011-02-16 16:03:46 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0263.html


Note You need to log in before you can comment on or make changes to this bug.